package com.thebrokenrail.slightlyvanilla.mixin;

import com.thebrokenrail.slightlyvanilla.SlightlyVanilla;
import net.minecraft.block.BlockState;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.BlockView;
import net.minecraft.world.dimension.AreaHelper;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@SuppressWarnings("unused")
@Mixin(AreaHelper.class)
public class MixinNetherPortalBlockAreaHelper {
    @Inject(at = @At("HEAD"), method = "method_30487", cancellable = true)
    private static void isValidFrameBlock(BlockState state, BlockView world, BlockPos pos, CallbackInfoReturnable<Boolean> info) {
        if (SlightlyVanilla.getConfig().cryingObsidianNetherPortal) {
            info.setReturnValue(state.isIn(SlightlyVanilla.NETHER_PORTAL_FRAME_BLOCKS_TAG));
        }
    }
}
