package com.thebrokenrail.slightlyvanilla;

import me.sargunvohra.mcmods.autoconfig1u.ConfigData;
import me.sargunvohra.mcmods.autoconfig1u.annotation.Config;
import me.sargunvohra.mcmods.autoconfig1u.annotation.ConfigEntry;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.gui.screen.ingame.GenericContainerScreen;

@Config(name = SlightlyVanilla.NAMESPACE)
public class ModConfig implements ConfigData {
    public boolean useRespawnAnchorInAnyDimension = true;
    public boolean instantKillInCreative = true;
    @ConfigEntry.Gui.CollapsibleObject(startExpanded = true)
    public ThrowableOption throwableSlimeballs = new ThrowableOption(true, true);
    @ConfigEntry.Gui.CollapsibleObject(startExpanded = true)
    public ThrowableOption throwableSpawnEggs = new ThrowableOption(true, false);
    public boolean openLootChestsInSpectatorMode = true;
    public boolean cryingObsidianNetherPortal = true;
    public boolean allowLeashingVillagers = true;
    public boolean disableInstantNetherPortalInCreative = true;
    @Environment(EnvType.CLIENT)
    public boolean noteBlockScreen = true;

    public static class ThrowableOption {
        public boolean player;
        public boolean dispenser;

        private ThrowableOption(boolean player, boolean dispenser) {
            this.player = player;
            this.dispenser = dispenser;
        }
    }
}
